### Method

# Ide Pipeline is_native

#### Declaration

    gboolean
    ide_pipeline_is_native (
      IdePipeline* self
    )

#### Description

This is a helper to check if the triplet that we are compiling for matches the host system. That allows some plugins to do less work by avoiding some cross-compiling work.

Available since: | 3.32

#### Return value

Returns: | `gboolean`
| `FALSE` if we’re possibly cross-compiling, otherwise `TRUE`.